%define api_version 1.1
%define pkg_name geronimo-activation_%{api_version}_spec

Name:           geronimo-jaf-1_1-api
Version:        1.1
Release:        %mkrel 1
Summary:        Java Activation Spec API 1.1
License:        Apache Software License 2.0
Group:          Development/Java
URL:            http://geronimo.apache.org/
Source0:        http://repo2.maven.org/maven2/org/apache/geronimo/specs/%{name}_%{version}_spec/%{version}/%{pkg_name}-%{version}-source-release.tar.gz
Source1:        geronimo-activation-1.1.depmap
Patch0:         geronimo-activation-1.1-use_parent_pom.patch
BuildRequires:  geronimo-osgi-locator
BuildRequires:  geronimo-parent-poms
BuildRequires:  felix-osgi-core
BuildRequires:  felix-osgi-compendium
BuildRequires:  maven
BuildRequires:  maven-plugin-bundle
BuildRequires:  maven-surefire-plugin
BuildRequires:  java-devel
BuildRequires:  junit4
BuildRequires:  jpackage-utils
Requires:       jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Geronimo Java Activation Spec API 1.1.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Geronimo Java Activation Spec API 1.1.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

iconv -f iso8859-1 -t utf-8 LICENSE > LICENSE.conv && mv -f LICENSE.conv LICENSE
sed -i 's/\r//' LICENSE
%patch0 -p0

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mvn-jpp \
  -e \
  -Dmaven2.jpp.mode=true \
  -Dmaven2.jpp.depmap.file="%{SOURCE1}" \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  install javadoc:javadoc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-jaf-%{api_version}-api-%{version}.jar


%add_to_maven_depmap org.apache.geronimo.specs %{pkg_name} %{version} JPP geronimo-jaf-%{api_version}-api
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-jaf-%{api_version}-api.pom

(
  cd %{buildroot}%{_javadir}/
  ln -sf geronimo-jaf-%{api_version}-api-%{version}.jar geronimo-jaf-%{api_version}-api.jar
)

mkdir -p %{buildroot}%{_javadocdir}/geronimo-jaf-%{api_version}-api-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-jaf-%{api_version}-api-%{version}
ln -s geronimo-jaf-%{api_version}-api-%{version} %{buildroot}%{_javadocdir}/geronimo-jaf-%{api_version}-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-jaf-%{api_version}-api-%{version}.jar
%{_javadir}/geronimo-jaf-1.1-api.jar
%{_mavenpomdir}
%{_mavendepmapfragdir}
%doc LICENSE

%files javadoc
%{_javadocdir}/geronimo-jaf-%{api_version}-api-%{version}
%{_javadocdir}/geronimo-jaf-%{api_version}-api



%changelog
* Fri Aug 12 2011 dmorgan <dmorgan> 1.1-1.mga2
+ Revision: 132893
- Clean spec file

* Fri Jun 10 2011 gil <gil> 1.1-0.mga2
+ Revision: 102887
- imported package geronimo-jaf-1_1-api

